components:
  schemas:

    UpdateClass:
      type: object
      properties:
        topic_id:
          type: string
          format: uuid
          description: ID do tópico da aula
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        teacher_id:
          type: string
          format: uuid
          description: ID do professor
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        main_student_id:
          type: string
          format: uuid
          description: ID do aluno principal
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        additional_student_ids:
          type: array
          maxItems: 20
          items:
            type: string
            format: uuid
          description: IDs dos alunos adicionais (máximo 20)
          example: ["018f22d5-4b3a-7c21-b93f-9a5aefc1b847", "018f22d5-4b3a-7c21-b93f-9a5aefc1b848"]

        start_time:
          type: string
          format: date-time
          description: Data e hora de início da aula
          example: "2024-01-15T10:00:00Z"

        end_time:
          type: string
          format: date-time
          description: Data e hora de término da aula
          example: "2024-01-15T11:00:00Z"

        status:
          type: string
          enum: [scheduled, canceled, completed]
          description: Status da aula
          example: "scheduled"

        payment_status:
          type: string
          enum: [pending, paid, refunded]
          description: Status do pagamento
          example: "pending"
